UsersListOptions
Rust struct goodmem::api::UsersListOptions: declaration, fields or variants, and implementations.
Struct UsersListOptions
goodmem::api::UsersListOptions
Query parameters and headers for users.list.
pub struct UsersListOptions {
pub include_deleted: Option<bool>,
pub include_enrollment_summary: Option<bool>,
pub max_results: Option<i32>,
pub next_token: Option<String>,
pub label: Option<BTreeMap<String, String>>,
}Fields
include_deleted
pub include_deleted: Option<bool>
Include readable permanent tombstones
Wire name: includeDeleted.
include_enrollment_summary
pub include_enrollment_summary: Option<bool>
Request non-secret enrollment posture on active rows where the caller also has MANAGE_USER_ENROLLMENT
Wire name: includeEnrollmentSummary.
max_results
pub max_results: Option<i32>
Page size; defaults to 50 and must be between 1 and 1000
Wire name: maxResults.
next_token
pub next_token: Option<String>
Opaque continuation token
Wire name: nextToken.
label
pub label: Option<BTreeMap<String, String>>
Filter by label key-value pairs. Label filters accept either label.<key>=<value> or label[key]=value (for example, label.environment=production or label[environment]=production).
Wire name: label.
Trait implementations
Clone(derived)Debug(derived)Default(derived)Serialize(derived)